- Qt 5.15
- Qt Widgets
- C++ Classes
- QKeySequenceEdit
- Qt 5.15.18 Reference Documentation

# QKeySequenceEdit Class

The QKeySequenceEdit widget allows to input a QKeySequence. More...

Header: | #include <QKeySequenceEdit>
qmake: | QT += widgets
Since: | Qt 5.2
Inherits: | QWidget

This class was introduced in Qt 5.2.

- List of all members, including inherited members

## Properties

- keySequence : QKeySequence

## Public Functions

| QKeySequenceEdit(const QKeySequence &keySequence, QWidget *parent = nullptr)
| QKeySequenceEdit(QWidget *parent = nullptr)
virtual | ~QKeySequenceEdit()
QKeySequence | keySequence() const

## Public Slots

void | clear()
void | setKeySequence(const QKeySequence &keySequence)

## Signals

void | editingFinished()
void | keySequenceChanged(const QKeySequence &keySequence)

## Reimplemented Protected Functions

virtual bool | event(QEvent *e) override
virtual void | keyPressEvent(QKeyEvent *e) override
virtual void | keyReleaseEvent(QKeyEvent *e) override
virtual void | timerEvent(QTimerEvent *e) override

## Detailed Description

This widget lets the user choose a QKeySequence, which is usually used as a shortcut. The recording is initiated when the widget receives the focus and ends one second after the user releases the last key.

See also QKeySequenceEdit::keySequence.

## Property Documentation

### keySequence : QKeySequence

This property contains the currently chosen key sequence.

The shortcut can be changed by the user or via setter function.

Access functions:

QKeySequence | keySequence() const
void | setKeySequence(const QKeySequence &keySequence)

Notifier signal:

void | keySequenceChanged(const QKeySequence &keySequence)

## Member Function Documentation

### QKeySequenceEdit::QKeySequenceEdit(const QKeySequence &keySequence, QWidget *parent = nullptr)

Constructs a QKeySequenceEdit widget with the given keySequence and parent.

### QKeySequenceEdit::QKeySequenceEdit(QWidget *parent = nullptr)

Constructs a QKeySequenceEdit widget with the given parent.

### `[slot]` void QKeySequenceEdit::clear()

Clears the current key sequence.

### `[signal]` void QKeySequenceEdit::editingFinished()

This signal is emitted when the user finishes entering the shortcut.

Note: there is a one second delay before releasing the last key and emitting this signal.

### `[virtual]` QKeySequenceEdit::~QKeySequenceEdit()

Destroys the QKeySequenceEdit object.

### `[override virtual protected]` bool QKeySequenceEdit::event(QEvent *e)

Reimplements: QWidget::event(QEvent *event).

### `[override virtual protected]` void QKeySequenceEdit::keyPressEvent(QKeyEvent *e)

Reimplements: QWidget::keyPressEvent(QKeyEvent *event).

### `[override virtual protected]` void QKeySequenceEdit::keyReleaseEvent(QKeyEvent *e)

Reimplements: QWidget::keyReleaseEvent(QKeyEvent *event).

### `[override virtual protected]` void QKeySequenceEdit::timerEvent(QTimerEvent *e)

Reimplements: QObject::timerEvent(QTimerEvent *event).